module wrapper (address, data,codata,srama,sramdl,sramdh,codsync,
		codread,codwrite,sram1en,sram2en,sram1oe,sram2oe,
		sram1we,sram2we,sram1ud,sram2ud,sram1ld,sram2ld,
		br_sfpga,bg_sfpga,bgack_sfpga,clk,fc,berr,as,halt,reset,
		dtack,lds,uds,rw,irqsf,iacksf,hex0,hex1,hex2,hex3,
		sfpga_digital, sfpga_con40,sfpga_logic,sfpga_con60,
		led);
	//change any pins being using as outputs to have type "output" 
	//leave unused as "input"
	input [23:1] address;
	input [15:0] data;
	input [31:0] codata;
	input [17:0] srama;
	input [15:0] sramdl;
	input [15:0] sramdh;
	input codsync;
	input codread;
	input codwrite;
	input sram1en;
	input sram2en;
	input sram1oe;
	input sram2oe;
	input sram1we;
	input sram2we;
	input sram1ud;
	input sram2ud;
	input sram1ld;
	input sram2ld;
	input br_sfpga;
	input bg_sfpga;
	input bgack_sfpga;
	input clk;
	input [2:0] fc;
	input berr;
	input as;
	input halt;
	input reset;
	input dtack;
	input lds;
	input uds;
	input rw;
	input irqsf;
	input iacksf;
	input [7:0] hex0;
	input [7:0] hex1;
	input [7:0] hex2;
	input [7:0] hex3;
	input [33:0] sfpga_digital;
	input [31:0] sfpga_con40;
	input [17:0] sfpga_logic;
	input [51:0] sfpga_con60;
	output [15:0] led;

	//signal declarations for internal signals
	wire A, B, Cin, S, Cout;

	//pins 1, 3, and 5 of sfpga_digital connector will be used as inputs
	//since they correspond to switches 1, 2, and 3 of the protoboard
	//see Digital Protoboard section of manual
	assign A = sfpga_digital[1]; 
	assign B = sfpga_digital[3];
	assign Cin = sfpga_digital[5];

	//outputs will be displayed active-low to LEDs
	assign led[1] = ~S; 
	assign led[0] = ~Cout;

	//unused LEDs will be turned off
	assign led[15:2] = {14{1'b1}};  //14 ones

	//instantiation of full adder
	fulladder fulladderinst(A, B, Cin, S, Cout);
	
endmodule
